Pamac-aur-git build error "fatal: No current branch"

What should i do now? Maybe @FredBezies knows more about this problem?

Please help :anguished:

1 Like

It is better to copy and paste the output here than post a picture. What did you say when it asked if you wanted to clean build it?

1 Like

ok, thanks @Elloquin. I take [N]one!

OK try to see if it will clean build. Take [A]ll.

1 Like

Is the same as before. I haven´t any problem to install pamac-aur.

normally i would translate the error into english but since it is a picture i can’t. Can you copy and paste the error?

1 Like

Actually it is not just you I can not build it here either. The package may be broken at the moment.

@Elloquin
it have a few issues … i feel for dev/maintainer ATM

@antec1

pamac -aur work ok i just install ( check for you ) removed just as fast :vulcan_salute:

2 Likes

Looks like manjaro gitlab did not work correctly when you try to build it? I don’t speak german, but deepl.com told me: “You are not on any branch”.

Try again now, it will work… Well, I hope so!

Here is what I get:

error merging pamac-aur-git: fatal: No current branch.

Manually cloning it from gitlab works fine.

1 Like

I have pamac-aur-git installed on all of my computers. While it continues to function as it always has, it will not update.

I get the message: error merging pamac-aur-git: fatal: No current branch.

Does anyone else get this message too? It is happening on all of my computers.

I can only assume that whatever is wrong is not being corrected right now due to the holidays but I do hope that the problem(s) will be fixed soon.

I do wish everyone a Happy & HEALTHY New Year.

Lawrence

I get this:

[elloquin@elloquin-elloquin i3]$ yay pamac
10 aur/pamac-aur-tuna 9.5.8-1 (+0 0.00) (Out-of-date: 2020-09-05) 
    fork from pamac-aur and replace aur.archlinux.org by aur.tuna.tsinghua.edu.cn
9 aur/pamac-tray-icon-plasma 0.1.2-2 (+2 1.00) 
    Pamac tray icon for plasma users
8 aur/pamac-all-git 10.0.1.r0.g6138310-1 (+2 0.23) 
    A Gtk3 frontend for libalpm (everything in one package - snap, flatpak, appindicator)
7 aur/archlinux-appstream-data-pamac 20201223-1 (+3 2.09) 
    Arch Linux application database for AppStream-based software centers (Fixed for pamac)
6 aur/pamac-zsh-completions 0.6-1 (+3 0.43) 
    ZSH completions for pamac
5 aur/pamac-all 10.0.3-2 (+6 3.34) 
    A Gtk3 frontend for libalpm (everything in one package - snap, flatpak, appindicator)
4 aur/pamac-cli 10.0.3-1 (+7 0.60) 
    Pamac cli frontend for libalpm
3 aur/pamac-classic 7.2.1-1 (+15 0.00) 
    A Gtk3 frontend for libalpm - classic version
2 aur/pamac-aur-git 10.0.3.r0.gbfa5409-2 (+20 0.24) 
    A Gtk3 frontend for libalpm - git version
1 aur/pamac-aur 10.0.3-1 (+314 9.84) 
    A Gtk3 frontend, Package Manager based on libalpm with AUR and Appstream support
==> Packages to install (eg: 1 2 3, 1-3 or ^4)
==> 2
:: Checking for conflicts...
:: Checking for inner conflicts...
[Repo:2]  gcab-1.4-1  appstream-glib-0.7.18-1
[Repo Make:27]  docbook-xml-4.5-9  itstool-1:2.0.6-2  docbook-xsl-1.79.2-7  glib2-docs-2.66.4-1  python-lxml-4.6.2-1  python-pygments-2.7.3-1  python-anytree-2.8.0-3  gtk-doc-1.33.1-1  libxaw-1.0.13-3  jbig2dec-0.19-1  libpaper-1.1.28-1  ijs-0.35-3  libidn-1.36-1  ghostscript-9.53.3-2  netpbm-10.73.33-1  gts-0.7.6.121130-2  gsfonts-20200910-1  graphviz-2.44.1-6  vala-0.50.2-1  ninja-1.10.2-1  meson-0.56.0-3  python-markupsafe-1.1.1-6  python-beaker-1.11.0-6  python-mako-1.1.3-3  python-markdown-3.3.3-2  gobject-introspection-1.66.1-3  asciidoc-9.0.4-2
[Aur:2]  archlinux-appstream-data-pamac-20201223-1  pamac-aur-git-10.0.3.r0.gbfa5409-2

==> Remove make dependencies after install? [y/N] y
  2 archlinux-appstream-data-pamac   (Build Files Exist)
  1 pamac-aur-git                    (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> a
:: Deleting (1/2): /home/elloquin/.cache/yay/archlinux-appstream-data-pamac
:: Deleting (2/2): /home/elloquin/.cache/yay/pamac-aur-git
:: Downloaded PKGBUILD (1/2): archlinux-appstream-data-pamac
:: Downloaded PKGBUILD (2/2): pamac-aur-git
  2 archlinux-appstream-data-pamac   (Build Files Exist)
  1 pamac-aur-git                    (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> n
error: target not found: docbook-xml
error: target not found: itstool
error: target not found: docbook-xsl
error: target not found: glib2-docs
error: target not found: python-lxml
error: target not found: python-pygments
error: target not found: python-anytree
error: target not found: gtk-doc
error: target not found: libxaw
error: target not found: jbig2dec
error: target not found: libpaper
error: target not found: ijs
error: target not found: libidn
error: target not found: ghostscript
error: target not found: netpbm
error: target not found: gts
error: target not found: gsfonts
error: target not found: graphviz
error: target not found: vala
error: target not found: ninja
error: target not found: meson
error: target not found: python-markupsafe
error: target not found: python-beaker
error: target not found: python-mako
error: target not found: python-markdown
error: target not found: gobject-introspection
error: target not found: asciidoc
[elloquin@elloquin-elloquin i3]$ 

Are you trying to install from a system which isn’t updated?

Try yay -Syu pamac-aur-git

1 Like

Updated immediately prior:

[elloquin@elloquin-elloquin i3]$ yay
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community                                                                                                            5.3 MiB  2.53 MiB/s 00:02 [----------------------------------------------------------------------------------------] 100%
 multilib is up to date
 endeavouros is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

Packages (27) cantarell-fonts-1:0.301-1  eos-bash-shared-1.5.2-1  exo-4.16.0-1  geoip-database-20201222-1  harfbuzz-2.7.4-1  harfbuzz-icu-2.7.4-1  iproute2-5.10.0-1  libepoxy-1.5.5-1  libevdev-1.10.0-2  libgpg-error-1.41-1
              libgtop-2.40.0+2+g31db82ef-2  libibus-1.5.23+3+gaa558de8-2  libxfce4ui-4.16.0-1  libxfce4util-4.16.0-1  man-pages-5.10-1  mobile-broadband-provider-info-20201225-1  ndctl-71.1-1  python-packaging-20.8-2
              reflector-simple-1.12.3-1  rsync-3.2.3-2  terminus-font-4.49-2  thunar-4.16.0-1  thunar-volman-4.16.0-1  tumbler-4.16.0-1  tzdata-2020e-1  xfce4-terminal-0.8.10-1  xfconf-4.16.0-1

Total Download Size:    24.97 MiB
Total Installed Size:  132.62 MiB
Net Upgrade Size:        1.35 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 tzdata-2020e-1-x86_64                                                                                              386.6 KiB  4.72 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 libgpg-error-1.41-1-x86_64                                                                                         233.0 KiB  5.69 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 iproute2-5.10.0-1-x86_64                                                                                           976.8 KiB  3.97 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 man-pages-5.10-1-any                                                                                                 5.8 MiB  3.99 MiB/s 00:01 [----------------------------------------------------------------------------------------] 100%
 cantarell-fonts-1:0.301-1-any                                                                                      355.5 KiB  4.51 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 libepoxy-1.5.5-1-x86_64                                                                                            447.5 KiB  5.46 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 harfbuzz-2.7.4-1-x86_64                                                                                            842.7 KiB  5.14 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 harfbuzz-icu-2.7.4-1-x86_64                                                                                          7.5 KiB  0.00   B/s 00:00 [----------------------------------------------------------------------------------------] 100%
 libxfce4util-4.16.0-1-x86_64                                                                                       125.2 KiB  0.00   B/s 00:00 [----------------------------------------------------------------------------------------] 100%
 xfconf-4.16.0-1-x86_64                                                                                             185.9 KiB  4.91 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 libgtop-2.40.0+2+g31db82ef-2-x86_64                                                                                196.2 KiB  4.79 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 libxfce4ui-4.16.0-1-x86_64                                                                                         349.8 KiB  8.54 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 exo-4.16.0-1-x86_64                                                                                                370.8 KiB  4.53 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 geoip-database-20201222-1-any                                                                                     1566.8 KiB  4.78 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 libevdev-1.10.0-2-x86_64                                                                                            63.7 KiB  0.00   B/s 00:00 [----------------------------------------------------------------------------------------] 100%
 libibus-1.5.23+3+gaa558de8-2-x86_64                                                                                  9.5 MiB  5.05 MiB/s 00:02 [----------------------------------------------------------------------------------------] 100%
 mobile-broadband-provider-info-20201225-1-any                                                                       60.9 KiB  0.00   B/s 00:00 [----------------------------------------------------------------------------------------] 100%
 ndctl-71.1-1-x86_64                                                                                                258.2 KiB  7.00 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 python-packaging-20.8-2-any                                                                                         52.0 KiB  0.00   B/s 00:00 [----------------------------------------------------------------------------------------] 100%
 rsync-3.2.3-2-x86_64                                                                                               310.7 KiB  7.59 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 thunar-4.16.0-1-x86_64                                                                                            1285.2 KiB  6.18 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 thunar-volman-4.16.0-1-x86_64                                                                                      130.7 KiB  0.00   B/s 00:00 [----------------------------------------------------------------------------------------] 100%
 tumbler-4.16.0-1-x86_64                                                                                            171.9 KiB  0.00   B/s 00:00 [----------------------------------------------------------------------------------------] 100%
 xfce4-terminal-0.8.10-1-x86_64                                                                                     422.4 KiB  10.3 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 terminus-font-4.49-2-any                                                                                          1095.7 KiB  6.56 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 eos-bash-shared-1.5.2-1-any                                                                                         27.5 KiB  0.00   B/s 00:00 [----------------------------------------------------------------------------------------] 100%
 reflector-simple-1.12.3-1-any                                                                                       17.6 KiB  0.00   B/s 00:00 [----------------------------------------------------------------------------------------] 100%
(27/27) checking keys in keyring                                                                                                                [----------------------------------------------------------------------------------------] 100%
(27/27) checking package integrity                                                                                                              [----------------------------------------------------------------------------------------] 100%
(27/27) loading package files                                                                                                                   [----------------------------------------------------------------------------------------] 100%
(27/27) checking for file conflicts                                                                                                             [----------------------------------------------------------------------------------------] 100%
:: Processing package changes...
( 1/27) upgrading cantarell-fonts                                                                                                               [----------------------------------------------------------------------------------------] 100%
( 2/27) upgrading tzdata                                                                                                                        [----------------------------------------------------------------------------------------] 100%
( 3/27) upgrading libgpg-error                                                                                                                  [----------------------------------------------------------------------------------------] 100%
( 4/27) upgrading libepoxy                                                                                                                      [----------------------------------------------------------------------------------------] 100%
( 5/27) upgrading harfbuzz                                                                                                                      [----------------------------------------------------------------------------------------] 100%
( 6/27) upgrading harfbuzz-icu                                                                                                                  [----------------------------------------------------------------------------------------] 100%
( 7/27) upgrading eos-bash-shared                                                                                                               [----------------------------------------------------------------------------------------] 100%
( 8/27) upgrading libxfce4util                                                                                                                  [----------------------------------------------------------------------------------------] 100%
( 9/27) upgrading xfconf                                                                                                                        [----------------------------------------------------------------------------------------] 100%
(10/27) installing libgtop                                                                                                                      [----------------------------------------------------------------------------------------] 100%
(11/27) upgrading libxfce4ui                                                                                                                    [----------------------------------------------------------------------------------------] 100%
(12/27) upgrading exo                                                                                                                           [----------------------------------------------------------------------------------------] 100%
(13/27) upgrading geoip-database                                                                                                                [----------------------------------------------------------------------------------------] 100%
(14/27) upgrading iproute2                                                                                                                      [----------------------------------------------------------------------------------------] 100%
New optional dependencies for iproute2
    db: userspace arp daemon [installed]
(15/27) upgrading libevdev                                                                                                                      [----------------------------------------------------------------------------------------] 100%
(16/27) upgrading libibus                                                                                                                       [----------------------------------------------------------------------------------------] 100%
(17/27) upgrading man-pages                                                                                                                     [----------------------------------------------------------------------------------------] 100%
(18/27) upgrading mobile-broadband-provider-info                                                                                                [----------------------------------------------------------------------------------------] 100%
(19/27) upgrading ndctl                                                                                                                         [----------------------------------------------------------------------------------------] 100%
(20/27) upgrading python-packaging                                                                                                              [----------------------------------------------------------------------------------------] 100%
(21/27) upgrading reflector-simple                                                                                                              [----------------------------------------------------------------------------------------] 100%
New optional dependencies for reflector-simple
    reflector-bash-completion: useful for plain reflector usage
(22/27) upgrading rsync                                                                                                                         [----------------------------------------------------------------------------------------] 100%
(23/27) upgrading terminus-font                                                                                                                 [----------------------------------------------------------------------------------------] 100%
(24/27) upgrading thunar                                                                                                                        [----------------------------------------------------------------------------------------] 100%
New optional dependencies for thunar
    gvfs: trash support, mounting with udisk and remote filesystems [installed]
    thunar-archive-plugin: archive creation and extraction [installed]
    thunar-media-tags-plugin: view/edit ID3/OGG tags [installed]
    thunar-volman: removable device management [installed]
    tumbler: thumbnail previews [installed]
(25/27) upgrading thunar-volman                                                                                                                 [----------------------------------------------------------------------------------------] 100%
(26/27) upgrading tumbler                                                                                                                       [----------------------------------------------------------------------------------------] 100%
New optional dependencies for tumbler
    ffmpegthumbnailer: video thumbnails [installed]
    freetype2: font thumbnails [installed]
    libgepub: EPUB thumbnails
    libgsf: ODF thumbnails [installed]
    libopenraw: RAW thumbnails [installed]
    poppler-glib: PDF thumbnails [installed]
(27/27) upgrading xfce4-terminal                                                                                                                [----------------------------------------------------------------------------------------] 100%
:: Running post-transaction hooks...
(1/7) Reloading system manager configuration...
(2/7) Arming ConditionNeedsUpdate...
(3/7) Updating fontconfig cache...
(4/7) Updating GIO module cache...
(5/7) Updating icon theme caches...
(6/7) Updating the info directory file...
(7/7) Updating the desktop file MIME type cache...
:: Searching databases for updates...
:: Searching AUR for updates...
 there is nothing to do

I find my installed versions working fine and have updated. Wont install from scratch as a new installation. I switched to pamac-aur for now on a new install.

Try forcing a db update:

yay -Syy pamac-aur-git
1 Like

Same:

[elloquin@elloquin-elloquin i3]$ yay -Syy pamac-aur-git
:: Synchronizing package databases...
 core                                                                                                               133.7 KiB  1078 KiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 extra                                                                                                             1638.3 KiB  2.86 MiB/s 00:01 [----------------------------------------------------------------------------------------] 100%
 community                                                                                                            5.3 MiB  3.26 MiB/s 00:02 [----------------------------------------------------------------------------------------] 100%
 multilib                                                                                                           152.3 KiB  4.13 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 endeavouros                                                                                                         15.2 KiB  0.00   B/s 00:00 [----------------------------------------------------------------------------------------] 100%
:: There are 2 providers available for pamac-aur-git:
:: Repository AUR
    1) pamac-aur-git 2) pamac-all 

Enter a number (default=1): 1
:: Checking for conflicts...
:: Checking for inner conflicts...
[Repo:2]  gcab-1.4-1  appstream-glib-0.7.18-1
[Repo Make:27]  docbook-xml-4.5-9  itstool-1:2.0.6-2  docbook-xsl-1.79.2-7  glib2-docs-2.66.4-1  python-lxml-4.6.2-1  python-pygments-2.7.3-1  python-anytree-2.8.0-3  gtk-doc-1.33.1-1  libxaw-1.0.13-3  jbig2dec-0.19-1  libpaper-1.1.28-1  ijs-0.35-3  libidn-1.36-1  ghostscript-9.53.3-2  netpbm-10.73.33-1  gts-0.7.6.121130-2  gsfonts-20200910-1  graphviz-2.44.1-6  vala-0.50.2-1  ninja-1.10.2-1  meson-0.56.0-3  python-markupsafe-1.1.1-6  python-beaker-1.11.0-6  python-mako-1.1.3-3  python-markdown-3.3.3-2  gobject-introspection-1.66.1-3  asciidoc-9.0.4-2
[Aur:2]  archlinux-appstream-data-pamac-20201223-1  pamac-aur-git-10.0.3.r0.gbfa5409-2

==> Remove make dependencies after install? [y/N] y
  2 archlinux-appstream-data-pamac   (Build Files Exist)
  1 pamac-aur-git                    (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> a
:: Deleting (1/2): /home/elloquin/.cache/yay/archlinux-appstream-data-pamac
:: Deleting (2/2): /home/elloquin/.cache/yay/pamac-aur-git
:: Downloaded PKGBUILD (1/2): archlinux-appstream-data-pamac
:: Downloaded PKGBUILD (2/2): pamac-aur-git
  2 archlinux-appstream-data-pamac   (Build Files Exist)
  1 pamac-aur-git                    (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> n
error: target not found: docbook-xml
error: target not found: itstool
error: target not found: docbook-xsl
error: target not found: glib2-docs
error: target not found: python-lxml
error: target not found: python-pygments
error: target not found: python-anytree
error: target not found: gtk-doc
error: target not found: libxaw
error: target not found: jbig2dec
error: target not found: libpaper
error: target not found: ijs
error: target not found: libidn
error: target not found: ghostscript
error: target not found: netpbm
error: target not found: gts
error: target not found: gsfonts
error: target not found: graphviz
error: target not found: vala
error: target not found: ninja
error: target not found: meson
error: target not found: python-markupsafe
error: target not found: python-beaker
error: target not found: python-mako
error: target not found: python-markdown
error: target not found: gobject-introspection
error: target not found: asciidoc
[elloquin@elloquin-elloquin i3]$ 

I just built and installed timeshift with no issues.

The pamac-aur-git repo is broken with commit 1ce1c41 - maintainer has somehow added a commit which is not on a named branch, and so makepkg won’t find it.

This is up to @FredBezies to fix.

(Aside: It’s also completely unnecessary to bump the pkgver of a -git package for each upstream release. The whole point of a VCS package with a pkgver() function is to do that automatically when the package is rebuilt.)

5 Likes

These are all repo packages. It is concerning that pacman can’t find them.

They are there and can be found just not via this pamac-aur-git package.

[elloquin@elloquin-elloquin i3]$ yay docbook-xml
3 extra/docbook5-xml 5.1-2 (140.8 KiB 6.4 MiB) 
    a complete rewrite of the well-known DocBook 4 XML schema (DTD, Relax NG, W3C schema) for Docbook 5.X
2 extra/docbook-xsl 1.79.2-7 (887.2 KiB 26.3 MiB) 
    XML stylesheets for Docbook-xml transformations
1 extra/docbook-xml 4.5-9 (89.0 KiB 2.0 MiB) 
    A widely used XML scheme for writing documentation and help
==> Packages to install (eg: 1 2 3, 1-3 or ^4)
==> 1
[sudo] password for elloquin: 
resolving dependencies...
looking for conflicting packages...

Packages (1) docbook-xml-4.5-9

Total Installed Size:  1.96 MiB

:: Proceed with installation? [Y/n] y
(1/1) checking keys in keyring                                                                                                                  [----------------------------------------------------------------------------------------] 100%
(1/1) checking package integrity                                                                                                                [----------------------------------------------------------------------------------------] 100%
(1/1) loading package files                                                                                                                     [----------------------------------------------------------------------------------------] 100%
(1/1) checking for file conflicts                                                                                                               [----------------------------------------------------------------------------------------] 100%
:: Processing package changes...
(1/1) installing docbook-xml                                                                                                                    [----------------------------------------------------------------------------------------] 100%
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...
[elloquin@elloquin-elloquin i3]$ 
1 Like